//
//  CASCCallback.h
//  CleverAdsSolutions Construct
//
//  Copyright © 2020 Clever Ads Solutions. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CleverAdsSolutions/CleverAdsSolutions-Swift.h>
#import <Cordova/CDV.h>
#import <Cordova/CDVViewController.h>

@interface CASCCallback : NSObject<CASAppReturnDelegate>

@property (nonatomic, weak) id <CDVCommandDelegate> _Nullable commandDelegate;
@property int adType;
@property (nonatomic, strong, nullable) UIViewController* viewController;

- (id _Nullable )initWithCommandDelegate:(__weak id<CDVCommandDelegate> _Nullable)myCommandDelegate withCASType:(int)myAdType withViewController:(UIViewController*_Nullable) myViewController;

@end
